<div class="d-flex justify-content-center align-items-center pt-5 row">
  <div class="col-12 col-md-8">
    @if (!loading()) {
      <ng-container *transloco="let t; prefix: 'administration'">
        <lib-details-page [fullPage]="false" customClass="pt-5" [entity]="entity()"
                          title="administration.participantDetails"></lib-details-page>
        <mat-divider></mat-divider>
        <div>
          <h5 class="text-primary">{{ t('participantCredentials') }}</h5>
          <div matTooltipPosition="after"
               matTooltip="Credential renewal will not be available until participant uploads a Certificate Signing Request"
               [matTooltipDisabled]="hasCredentials">
            <button [disabled]="!hasCredentials" id="renewCredentialsButton" mat-flat-button
                    color="accent" (click)="renewCredentials()">
              <mat-icon class="me-1">refresh</mat-icon>
              {{ t('renewCredentials') }}
            </button>
          </div>
        </div>
        <mat-divider></mat-divider>
        <div class="mt-3">
          <button id="addAttributeButton" mat-flat-button class="mt-2" color="accent"
                  (click)="openIdAttrDialog()">
            <mat-icon class="me-1">add</mat-icon>
            {{ t('addAttribute') }}
          </button>
          <lib-search-page *ngIf="participantDetails() as participantDetails" [pilot]="pilot" [clickable]="true"
                           [pageInfo]="attributeList"
                           [staticFilters]="{name: 'participantIdIn', value: participantDetails.id}">
          </lib-search-page>
        </div>
      </ng-container>
    } @else {
      <div class="w-full d-flex items-center justify-content-center py-5">
        <lib-loader [size]=80></lib-loader>
      </div>
    }
  </div>
</div>
